[Numpy-discussion] Complete LAPACK needed

Frank Lagor dfranci@seas.upenn....
Thu Oct 30 17:16:04 CDT 2008


Dear all,

I need to use functions in scipy which depend on having a complete lapack
library.  However, I am having a bit of trouble installing numpy and
referencing a complete lapack library that I built.  I have a few questions
that I am hoping someone can help me answer:

1) This machine is a cluster, so do I need to be sure that the lapack
library is a .so file?  (I think only if I want the processors to access the
file at the same time, which is my need...) If so, how do I make a shared
library file?
2) If I can tell numpy to use some default version of lapack, will it be a
complete version?
3) I was unable to getting numpy installed by referencing the lapack.a
library from the site.cfg file. I also tried to set the LAPACK environment
variable in my .bashrc file, but this did not seem to work either.  The
problem is that when I configure numpy, it just does not recognize this file
as a lapack library.  It ignores it and tries to use an lapack lite library
located somewhere else (which doesn't even work anyway).

Any ideas? suggestions?
Thanks in advance!
Frank
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://projects.scipy.org/pipermail/numpy-discussion/attachments/20081030/fbbe09a2/attachment-0001.html 


More information about the Numpy-discussion mailing list